LLVM::DIFlags - Crystal 1.20.1

# enum LLVM::DIFlags

##
Defined in:

llvm/enums.cr

##
Enum Members

Zero = `0_u32`
Private = `1_u32`
Protected = `2_u32`
Public = `3_u32`
FwdDecl = `4_u32`
AppleBlock = `8_u32`
ReservedBit4 = `16_u32`
Virtual = `32_u32`
Artificial = `64_u32`
Explicit = `128_u32`
Prototyped = `256_u32`
ObjcClassComplete = `512_u32`
ObjectPointer = `1024_u32`
Vector = `2048_u32`
StaticMember = `4096_u32`
LValueReference = `8192_u32`
RValueReference = `16384_u32`
ExternalTypeRef = `32768_u32`
SingleInheritance = `65536_u32`
MultipleInheritance = `131072_u32`
VirtualInheritance = `196608_u32`
IntroducedVirtual = `262144_u32`
BitField = `524288_u32`
NoReturn = `1048576_u32`
PassByValue = `4194304_u32`
TypePassByReference = `8388608_u32`
EnumClass = `16777216_u32`
Thunk = `33554432_u32`
NonTrivial = `67108864_u32`
BigEndian = `134217728_u32`
LittleEndian = `268435456_u32`

##
Instance Method Summary

- #apple_block?

  Returns `true` if this enum value equals `AppleBlock`

- #artificial?

  Returns `true` if this enum value equals `Artificial`

- #big_endian?

  Returns `true` if this enum value equals `BigEndian`

- #bit_field?

  Returns `true` if this enum value equals `BitField`

- #enum_class?

  Returns `true` if this enum value equals `EnumClass`

- #explicit?

  Returns `true` if this enum value equals `Explicit`

- #external_type_ref?

  Returns `true` if this enum value equals `ExternalTypeRef`

- #fwd_decl?

  Returns `true` if this enum value equals `FwdDecl`

- #introduced_virtual?

  Returns `true` if this enum value equals `IntroducedVirtual`

- #l_value_reference?

  Returns `true` if this enum value equals `LValueReference`

- #little_endian?

  Returns `true` if this enum value equals `LittleEndian`

- #multiple_inheritance?

  Returns `true` if this enum value equals `MultipleInheritance`

- #no_return?

  Returns `true` if this enum value equals `NoReturn`

- #non_trivial?

  Returns `true` if this enum value equals `NonTrivial`

- #objc_class_complete?

  Returns `true` if this enum value equals `ObjcClassComplete`

- #object_pointer?

  Returns `true` if this enum value equals `ObjectPointer`

- #pass_by_value?

  Returns `true` if this enum value equals `PassByValue`

- #private?

  Returns `true` if this enum value equals `Private`

- #protected?

  Returns `true` if this enum value equals `Protected`

- #prototyped?

  Returns `true` if this enum value equals `Prototyped`

- #public?

  Returns `true` if this enum value equals `Public`

- #r_value_reference?

  Returns `true` if this enum value equals `RValueReference`

- #reserved_bit4?

  Returns `true` if this enum value equals `ReservedBit4`

- #single_inheritance?

  Returns `true` if this enum value equals `SingleInheritance`

- #static_member?

  Returns `true` if this enum value equals `StaticMember`

- #thunk?

  Returns `true` if this enum value equals `Thunk`

- #type_pass_by_reference?

  Returns `true` if this enum value equals `TypePassByReference`

- #vector?

  Returns `true` if this enum value equals `Vector`

- #virtual?

  Returns `true` if this enum value equals `Virtual`

- #virtual_inheritance?

  Returns `true` if this enum value equals `VirtualInheritance`

- #zero?

  Returns `true` if this enum value equals `Zero`

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) : Nil to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) : self new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def apple_block? #

Returns `true` if this enum value equals `AppleBlock`

def artificial? #

Returns `true` if this enum value equals `Artificial`

def big_endian? #

Returns `true` if this enum value equals `BigEndian`

def bit_field? #

Returns `true` if this enum value equals `BitField`

def enum_class? #

Returns `true` if this enum value equals `EnumClass`

def explicit? #

Returns `true` if this enum value equals `Explicit`

def external_type_ref? #

Returns `true` if this enum value equals `ExternalTypeRef`

def fwd_decl? #

Returns `true` if this enum value equals `FwdDecl`

def introduced_virtual? #

Returns `true` if this enum value equals `IntroducedVirtual`

def l_value_reference? #

Returns `true` if this enum value equals `LValueReference`

def little_endian? #

Returns `true` if this enum value equals `LittleEndian`

def multiple_inheritance? #

Returns `true` if this enum value equals `MultipleInheritance`

def no_return? #

Returns `true` if this enum value equals `NoReturn`

def non_trivial? #

Returns `true` if this enum value equals `NonTrivial`

def objc_class_complete? #

Returns `true` if this enum value equals `ObjcClassComplete`

def object_pointer? #

Returns `true` if this enum value equals `ObjectPointer`

def pass_by_value? #

Returns `true` if this enum value equals `PassByValue`

def private? #

Returns `true` if this enum value equals `Private`

def protected? #

Returns `true` if this enum value equals `Protected`

def prototyped? #

Returns `true` if this enum value equals `Prototyped`

def public? #

Returns `true` if this enum value equals `Public`

def r_value_reference? #

Returns `true` if this enum value equals `RValueReference`

def reserved_bit4? #

Returns `true` if this enum value equals `ReservedBit4`

def single_inheritance? #

Returns `true` if this enum value equals `SingleInheritance`

def static_member? #

Returns `true` if this enum value equals `StaticMember`

def thunk? #

Returns `true` if this enum value equals `Thunk`

def type_pass_by_reference? #

Returns `true` if this enum value equals `TypePassByReference`

def vector? #

Returns `true` if this enum value equals `Vector`

def virtual? #

Returns `true` if this enum value equals `Virtual`

def virtual_inheritance? #

Returns `true` if this enum value equals `VirtualInheritance`

def zero? #

Returns `true` if this enum value equals `Zero`